commit:     7ec43f6bed3b814f54526421bab8ef0cf2320287
Author:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 29 17:40:23 2016 +0000
Commit:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
CommitDate: Wed Jun 29 17:40:36 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7ec43f6b

dev-python/pystatgrab: Bump

Package-Manager: portage-2.3.0

 dev-python/pystatgrab/Manifest              |  1 +
 dev-python/pystatgrab/pystatgrab-0.7.ebuild | 30 +++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/dev-python/pystatgrab/Manifest b/dev-python/pystatgrab/Manifest
index 3e88819..2312529 100644
--- a/dev-python/pystatgrab/Manifest
+++ b/dev-python/pystatgrab/Manifest
@@ -1 +1,2 @@
 DIST pystatgrab-0.6.tar.gz 78763 SHA256 
eee0a65e1084628008222223bafdbb3ce66dffd4aa03febb9e918e61ef0d08fe SHA512 
a902ca5340c2e36209297426ae071e37c07f6700c2850cdb6ff7dfd5c93174fdc9e5e4415bfcc2b9c8a78226abda8b12875bd172acbd6568aad248c666e206a4
 WHIRLPOOL 
6bfb12ff84d80c9beef3d3437f8d6da4bc3ca9bf84caab16d0e6febcdee2080a6e899e0449f2d26d4462ceaf5d655a6ddd9668d62c19c4c01d67557b5f6e6977
+DIST pystatgrab-0.7.tar.gz 84472 SHA256 
9e79919efdbeb45e28f26cb45d4f1a2861caa2937c5bf86be351c5c096b6550f SHA512 
ce239941eebe5390a9154d19891ab45fc410515bb7313083450ffd30cfe23457a1d7e2d0ccab4434c844bb6f2cbfe6080ecfd66db7728720e703ce01ea219366
 WHIRLPOOL 
2e84b536473da52a70f6bf74dd02d1b88c6eb7f07e787590cb8b3b17a99c4a98c4474510e55bbba62b95c9254add693f7c1ffcb3bf8ff58bfe9e3871a137e976

diff --git a/dev-python/pystatgrab/pystatgrab-0.7.ebuild 
b/dev-python/pystatgrab/pystatgrab-0.7.ebuild
new file mode 100644
index 0000000..9f028a3
--- /dev/null
+++ b/dev-python/pystatgrab/pystatgrab-0.7.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1 flag-o-matic
+
+DESCRIPTION=" pystatgrab is a set of Python bindings for the libstatgrab 
library"
+HOMEPAGE="http://www.i-scream.org/pystatgrab/";
+SRC_URI="http://www.mirrorservice.org/sites/ftp.i-scream.org/pub/i-scream/pystatgrab/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ia64 ~ppc ~x86"
+IUSE=""
+
+RDEPEND=">=sys-libs/libstatgrab-0.91"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig"
+
+python_prepare_all() {
+       append-flags -fno-strict-aliasing
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       "${PYTHON}" test.py || die
+}

Reply via email to